package com.prolog.eis.dto.eis4;

import lombok.Getter;

/**
 * @Version: 1.0
 * @Author: wuhan
 * @Created: 2024/7/9 13:47
 */
@Getter
public enum StationOBPriorityTypeEnum {
    NONE("NONE","不比较"),
    ASC("ASC","越小越优先"),
    DESC("DESC","倒大越优先"),
    ;

    StationOBPriorityTypeEnum(String value,String remark) {
        this.value = value;
        this.remark = remark;
    }

    /**
     * 枚举值
     */
    private String value;

    /**
     * 描述
     */
    private String remark;

    public static StationOBPriorityTypeEnum getByValue(String value) {
        StationOBPriorityTypeEnum result = null;

        for (StationOBPriorityTypeEnum item : values()) {
            if (item.getValue().equals(value)) {
                result = item;
                break;
            }
        }
        return result;
    }
}
